transform_units_pressure <- function(data, original_units, new_units, var_name) {

  if (original_units == 'pa') {
    if (new_units == 'hpa') {
      data[[1]]$data <- data[[1]]$data /100
      data[[1]]$attrs$Variable$metadata[[var_name]]$units <- 'hPa'
    } else if (new_units == 'mb') {
      data[[1]]$data <- data[[1]]$data /100
      data[[1]]$attrs$Variable$metadata[[var_name]]$units <- 'mb'
    }
  } else if (original_units == 'hpa') {
    if (new_units == 'pa') {
      data[[1]]$data <- data[[1]]$data * 100
      data[[1]]$attrs$Variable$metadata[[var_name]]$units <- "Pa"
    } else if (new_units == "mb") {
      data[[1]]$attrs$Variable$metadata[[var_name]]$units <- "mb"
    }
  } else if (original_units == "mb") {
    if (new_units == 'pa') {
      data[[1]]$data <- data[[1]]$data * 100
      data[[1]]$attrs$Variable$metadata[[var_name]]$units <- "Pa"
    } else if (new_units == "hPa") {
      data[[1]]$attrs$Variable$metadata[[var_name]]$units <- "hPa"
    }  
  }
  return(data)
}
