transform_units_temperature <- function(data, original_units, new_units,
                                        var_name) {
    if (original_units == 'c' & new_units == 'k') {
        data[[1]]$data <- data[[1]]$data + 273.15
        data[[1]]$attrs$Variable$metadata[[var_name]]$units <- 'K'
    }
    if (original_units == 'k' & new_units == 'c') {
        data[[1]]$data <- data[[1]]$data - 273.15
        data[[1]]$attrs$Variable$metadata[[var_name]]$units <- "C"

    }
    return(data)
}
